Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class Range

    java.lang.Object
      org.deegree.ogcwebservices.wcs.configuration.Range

    public class Range

extends Object

A `Range` defines the range of variable values like time or elevation for which the coverages assigned to a `Range` are valid. The valid values are given by the `Axis` of a `Range`. A `Range` can have as much `Axis` and so as much filter dimensions as desired. If a `Range` doesn't have explicit `Axis` they are implicit coded in the assigned `Directory` or File name property.

Since:
  2.0
Version:
  1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`Range(String name)`
`Range(String name, Axis[] axis)`

Method Summary
`void` | `addAxis(Axis axis)` adds an `Axis` to the Range
`Axis[]` | `getAxis()` returns the list of `Axis` (filter dimensions) assigned to the `Range`
`String` | `getName()`
`void` | `removeAxis(Axis axis)` removes an `Axis` from the Range
`void` | `setAxis(Axis[] axis)` sets the list of `Axis` (filter dimensions) assigned to the `Range`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Range

    public Range(String name)

Parameters:
  `name` - name of the `Range`

### Range

    public Range(String name,
                 Axis[] axis)

Parameters:
  `name` - name of the `Range`
  `axis` - list of `Axis` (filter dimensions) assigned to the `Range`

Method Detail

### getAxis

    public Axis[] getAxis()

  returns the list of `Axis` (filter dimensions) assigned to the `Range`

  Returns:
    Returns the axis.

### setAxis

    public void setAxis(Axis[] axis)

  sets the list of `Axis` (filter dimensions) assigned to the `Range`

  Parameters:
    `axis` - The axis to set.

### addAxis

    public void addAxis(Axis axis)

  adds an `Axis` to the Range

  Parameters:
    `axis` -

### removeAxis

    public void removeAxis(Axis axis)

  removes an `Axis` from the Range

  Parameters:
    `axis` -

### getName

    public String getName()

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org